//
//  Convertisseur2FlipsideViewController.m
//  Convertisseur2
//
//  Created by Jean-Pierre IMBERT on 28/01/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "Convertisseur2FlipsideViewController.h"

@interface Convertisseur2FlipsideViewController ()
- (BOOL)rateFieldIsValid;
@end

@implementation Convertisseur2FlipsideViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    self.rateFieldDelegate.value = self.rate;
    self.rateField.text = [NSString localizedStringWithFormat:
                      @"%.5f",self.rate];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Actions

- (IBAction)done:(id)sender
{
    if ( self.rateFieldIsValid ) {
        self.rate = self.rateFieldDelegate.value;
        [self.delegate flipsideViewControllerDidFinish:self];
    } else {
        UIAlertView *alert = [[UIAlertView alloc]
                              initWithTitle:@"Taux incorrect" message:
                              @"Le taux de conversion doit être compris entre 0,5 et 2"
                              delegate:nil
                              cancelButtonTitle:@"OK"
                              otherButtonTitles:nil];
        [alert show];
    }
}

- (BOOL)rateFieldIsValid
{
    float rate = self.rateFieldDelegate.value;
    return (rate >= 0.5) && (rate <= 2.);
}

@end
