//
//  Convertisseur.m
//  Convertisseur1
//
//  Created by Jean-Pierre IMBERT on 17/01/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "Convertisseur.h"

@implementation Convertisseur

-(id) init {
    if (self = [super init]) {
        self.dollarsPourUnEuro = 1.308;
    }
    return self;
}

- (float) dollar {
    return self.euro * self.dollarsPourUnEuro;
}

- (void) setDollar:(float)dollar {
    self.euro = dollar / self.dollarsPourUnEuro;
}

- (NSString *) localizedStringForKey:(NSString *)key {
    return [NSString localizedStringWithFormat:
            @"%.2f",[[self valueForKey:key] floatValue]];
}

@end
