//
//  NumericFieldDelegate.m
//  Convertisseur2
//
//  Created by Jean-Pierre IMBERT on 02/01/11.
//  Copyright 2011 JPI-Conseil. All rights reserved.
//

#import "NumericFieldDelegate.h"

@implementation NumericFieldDelegate

- (id) init {
	if (self = [super init]) {
		self.modified = NO;
	}
	return self;
}

- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string {
    float val;
	NSString *resultingString = [textField.text stringByReplacingCharactersInRange:range withString:string];
	NSScanner *scan = [NSScanner localizedScannerWithString:resultingString];
	[scan scanFloat:&val];
    self.value = val;
    return [scan isAtEnd];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	return YES;
}

@end
