//
//  ViewController.m
//  Picker1
//
//  Created by Jean-Pierre IMBERT on 03/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [super viewDidLoad];
    self.formatter = [[NSDateFormatter alloc] init];
    NSArray * mois = [NSArray arrayWithObjects:@"Genver",
                      @"C'hwevrer",@"Meurzh",@"Ebrel",@"Mae",
                      @"Mezheven",@"Gouere",@"Eost",
                      @"Gwengolo",@"Here",@"Du",@"Kerzu",nil];
    NSArray * jours = [NSArray arrayWithObjects:@"Sul",
                       @"Lun",@"Meurzh",@"Merc'her",@"Yaou",
                       @"Gwener",@"Sadorn",nil];
    [self.formatter setMonthSymbols:mois];
    [self.formatter setWeekdaySymbols:jours];
    [self.formatter setDateFormat:@"EEEE d MMMM HH:mm"];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)readPicker:(UIButton *)sender {
    self.label.text=[self.formatter stringFromDate:[self.datePicker date]];
}

- (IBAction)setPicker:(UIButton *)sender {
    [self.datePicker setDate:[NSDate date] animated:YES] ;
}

@end
