//
//  ViewController.m
//  Picker3
//
//  Created by Jean-Pierre IMBERT on 03/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    self.valeurs = @{
        @"France": @[@"Paris",@"Marseille",@"Lyon",
                     @"Toulouse",@"Bordeaux"],
        @"Allemagne": @[@"Berlin",@"Hambourg",@"Munich",
                        @"Stuttgart"],
        @"Italie": @[@"Rome",@"Florence",@"Naples",
                     @"Venise",@"Milan"],
        @"Espagne": @[@"Madrid",@"Barcelone",@"Séville"],
        @"Portugal": @[@"Lisbonne", @"Porto"]
        };
    self.pays = @[@"France", @"Allemagne", @"Italie",
                  @"Espagne", @"Portugal"];
    self.paysChoisi = @"France";
    self.label.text = @"";
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - UIPickerViewDataSource methods

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 2;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView
        numberOfRowsInComponent:(NSInteger)component
{
    NSInteger number;
    if (component == 0) {
        number = [self.valeurs count];
    } else {
        number =
         [(NSArray *)self.valeurs[self.paysChoisi] count];
    }
    return number;
}

#pragma mark - UIPickerViewDelegate methods

- (NSString *)pickerView:(UIPickerView *)pickerView
             titleForRow:(NSInteger)row
            forComponent:(NSInteger)component
{
    NSString * title;
    if (component == 0) {
        title = self.pays[row];
    } else {
        NSArray * villes = self.valeurs[self.paysChoisi];
        title = villes[row];
    }
    return title;
}

- (void)pickerView:(UIPickerView *)pickerView
      didSelectRow:(NSInteger)row
       inComponent:(NSInteger)component
{
    if (component == 0) {
        self.paysChoisi = self.pays[row];
        self.label.text = self.paysChoisi;
        [pickerView reloadComponent:1];
    } else {
        NSArray * villes = self.valeurs[self.paysChoisi];
        self.label.text = villes[row];
    }
}

@end
