//
//  AnalyseurDeGesteViewController.h
//  AnalyseurDeGeste
//
//  Created by Jean-Pierre IMBERT on 20/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface AnalyseurDeGesteViewController : UIViewController {
    CGFloat scale;
    NSUInteger simpleTapCounter;
    NSUInteger doubleTapCounter;
}

@property (weak, nonatomic) IBOutlet UITextField *scaleField;
@property (weak, nonatomic) IBOutlet UITextField *simpleTapsField;
@property (weak, nonatomic) IBOutlet UITextField *doubleTapsField;
@property (weak, nonatomic) IBOutlet UITapGestureRecognizer *simpleTapRecognizer;
@property (weak, nonatomic) IBOutlet UITapGestureRecognizer *doubleTapRecognizer;

- (IBAction) scaleChange:(UIGestureRecognizer *)sender;
- (IBAction) simpleTap;
- (IBAction) doubleTap;

@end
