//
//  AnalyseurDeGesteViewController.m
//  AnalyseurDeGeste
//
//  Created by Jean-Pierre IMBERT on 20/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "AnalyseurDeGesteViewController.h"

@interface AnalyseurDeGesteViewController ()

@end

@implementation AnalyseurDeGesteViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self.simpleTapRecognizer requireGestureRecognizerToFail:self.doubleTapRecognizer];
    // Counters initialization
    scale = 100.;
    simpleTapCounter = 0;
    doubleTapCounter = 0;
    // Text Field initialization
    self.scaleField.text = [NSString stringWithFormat:@"%f",scale];
    self.simpleTapsField.text = [NSString stringWithFormat:@"%d",simpleTapCounter];
    self.doubleTapsField.text = [NSString stringWithFormat:@"%d",doubleTapCounter];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction) simpleTap{
    simpleTapCounter++;
    self.simpleTapsField.text = [NSString stringWithFormat:@"%d",simpleTapCounter];
}
- (IBAction) doubleTap{
    doubleTapCounter++;
    self.doubleTapsField.text = [NSString stringWithFormat:@"%d",doubleTapCounter];
}

- (IBAction) scaleChange:(UIGestureRecognizer *)sender{
    scale = 100.*[(UIPinchGestureRecognizer *)sender scale];
    self.scaleField.text=[NSString stringWithFormat:@"%f",scale];
}

@end
