//
//  SnookerView.h
//  Billard
//
//  Created by Jean-Pierre IMBERT on 18/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol SnookerViewDelegate;

@interface SnookerView : UIView {
    CGPoint precedingLastPoint;
    NSTimeInterval lastTime;
}

@property(assign, nonatomic, getter=isDrawing) BOOL drawing;
@property(assign, nonatomic) CGPoint lastPoint;
@property(nonatomic,weak) IBOutlet id <SnookerViewDelegate> delegate;
@end

@protocol SnookerViewDelegate <NSObject>
@optional
- (void)swipeMove:(CGRect)move withDuration:(NSTimeInterval)swipeDuration;
@end
