//
//  LendObjectViewController.h
//  Emprunts2
//
//  Created by Jean-Pierre IMBERT on 16/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface LendObjectViewController : UIViewController <UINavigationControllerDelegate,UIImagePickerControllerDelegate>

@property (weak, nonatomic) IBOutlet UITextField *objectNameField;
@property (weak, nonatomic) IBOutlet UITextField *borrowerNameField;
@property (weak, nonatomic) IBOutlet UIDatePicker *datePicker;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;
@property (weak, nonatomic) IBOutlet UIButton *pictureButton;

@property (weak, nonatomic) NSString * objectName;
@property (weak, nonatomic) NSString * borrowerName;
@property (weak, nonatomic) NSDate * date;
@property (weak, nonatomic) UIImage * picture;

- (IBAction)doneEditing:(UITextField *)sender;
- (IBAction)takePicture:(UIButton *)sender;

@end
