//
//  KeyboardViewController.h
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 26/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol KeyboardViewControllerDelegate;

@interface KeyboardViewController : UIViewController

@property (weak,nonatomic) IBOutlet id <KeyboardViewControllerDelegate> delegate;
@property (weak,nonatomic) IBOutlet UIButton *backspaceButton;
@property (assign,nonatomic,getter=isAutoDisabled) BOOL autoDisable;
@property (assign,nonatomic) BOOL withBackspace;
@property (assign,nonatomic,getter=isHidden) BOOL hidden;

- (IBAction)keyStroke:(UIButton *)sender;
-(void) enableAll;

@end

@protocol KeyboardViewControllerDelegate
- (void) keyStroked:(NSString *)letter;
- (void) backspaceStroked;
@end
