//
//  PenduModel.h
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 26/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface PenduModel : NSObject

@property (strong,nonatomic,readonly) NSString * wordToGuess;
@property (strong,nonatomic,readonly) NSString * wordToDisplay;
@property (assign,nonatomic,readonly) BOOL endedWithSuccess;
@property (assign,nonatomic,readonly) NSInteger remainingFailed;
@property (assign,nonatomic) NSInteger mistakes ;

- (void) reInit ;
- (void) reInitWithWord: (NSString *) word;
- (BOOL) addALetter: (NSString *) letter;
- (BOOL) delLastLetter;
- (BOOL) tryALetter: (NSString *) letter;

@end
