//
//  PenduStateEnteringWord.m
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 26/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "PenduStateEnteringWord.h"
#import "PenduStateWaitingForGuess.h"

@implementation PenduStateEnteringWord

+ (void) keyStroked: (NSString *) letter {
    [super keyStroked:letter];
    [VIEW setButtonEnabled:[MODEL addALetter:letter]];
    [[VIEW middleLabel] setText:[MODEL wordToGuess]];
}

+ (void) backspaceStroked {
    [super backspaceStroked];
    [VIEW setButtonEnabled:[MODEL delLastLetter]];
    [[VIEW middleLabel] setText:[MODEL wordToGuess]];
}

+ (void) actionOK {
    [super actionOK];
    [VIEW sendString:[MODEL wordToGuess]];
    [VIEW presentWaitingForGuessScreen];
    SET_STATE (PenduStateWaitingForGuess);
}

@end
