//
//  PenduStateGuessingWord.m
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 27/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "PenduStateGuessingWord.h"
#import "PenduStateWaitingNewGame.h"

@implementation PenduStateGuessingWord

+ (void) keyStroked: (NSString *) letter {
    [super keyStroked:letter];
	BOOL gameEnded = [MODEL tryALetter:letter];
	[VIEW sendString:letter];
	[VIEW setDisplayedWord:[MODEL wordToDisplay]];
	[VIEW setDisplayedMessage:[NSString stringWithFormat:@"Devinez le mot. Il vous reste %d échecs possibles.",[MODEL remainingFailed]]];
	[VIEW setImageNumber:[NSNumber numberWithInt:[MODEL mistakes]]];
	if (gameEnded) [self gameOver];
}

+ (void) gameOver {
    [super gameOver];
	[VIEW presentNewGameScreenWithButton:YES];
	SET_STATE (PenduStateWaitingNewGame);
}

@end
