//
//  PenduSatteWaitingForGuess.m
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 27/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "PenduStateWaitingForGuess.h"
#import "PenduStateWaitingWord.h"

@implementation PenduStateWaitingForGuess

+ (void) receivedString: (NSString *) letter {
    [super receivedString:letter];
	BOOL gameEnded = [MODEL tryALetter:letter];
	[VIEW setDisplayedWord:[MODEL wordToDisplay]];
	[VIEW setDisplayedMessage:[NSString stringWithFormat:@"le mot à deviner est \"%@\". Il reste %d échecs possibles.",[MODEL wordToGuess],[MODEL remainingFailed]]];
	[VIEW setImageNumber:[NSNumber numberWithInt:[MODEL mistakes]]];
	if (gameEnded) [self gameOver];
}

+ (void) gameOver {
    [super gameOver];
	[VIEW presentNewGameScreenWithButton:NO];
	SET_STATE (PenduStateWaitingWord);
}

@end
