//
//  Convertisseur2MainViewController.h
//  Convertisseur2
//
//  Created by Jean-Pierre IMBERT on 28/01/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "Convertisseur2FlipsideViewController.h"
#import "Convertisseur.h"
#import "NumericFieldDelegate.h"

@interface Convertisseur2MainViewController : UIViewController
                <Convertisseur2FlipsideViewControllerDelegate>

@property (weak, nonatomic) IBOutlet UITextField *dollarField;
@property (weak, nonatomic) IBOutlet UITextField *euroField;
@property (strong, nonatomic)
                      IBOutlet Convertisseur *convertisseur;
@property (strong, nonatomic)
         IBOutlet NumericFieldDelegate *dollarFieldDelegate;
@property (strong, nonatomic)
           IBOutlet NumericFieldDelegate *euroFieldDelegate;

- (IBAction)changeValue:(UITextField *)sender;
- (IBAction)hideKeyboard:(UITapGestureRecognizer *)sender;

@end
