//
//  Convertisseur2MainViewController.m
//  Convertisseur2
//
//  Created by Jean-Pierre IMBERT on 28/01/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "Convertisseur2MainViewController.h"

@interface Convertisseur2MainViewController ()

@end

@implementation Convertisseur2MainViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Flipside View

- (void)flipsideViewControllerDidFinish:(Convertisseur2FlipsideViewController *)controller
{
    self.convertisseur.dollarsPourUnEuro = controller.rate;
    self.dollarField.text =
        [self.convertisseur localizedStringForKey:@"dollar"];
    self.euroField.text =
        [self.convertisseur localizedStringForKey:@"euro"];
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showAlternate"]) {
        Convertisseur2FlipsideViewController *dest;
        dest = [segue destinationViewController];
        dest.delegate = self;
        dest.rate = self.convertisseur.dollarsPourUnEuro;
    }
}

- (IBAction)changeValue:(UITextField *)textField {
    NSString * currencyRead;
    currencyRead = textField.accessibilityLabel;
    if ([currencyRead isEqualToString:@"euro"]) {
        self.convertisseur.euro = self.euroFieldDelegate.value;
        self.dollarField.text =
        [self.convertisseur localizedStringForKey:@"dollar"];
    } else {
        self.convertisseur.dollar = self.dollarFieldDelegate.value;
        self.euroField.text =
        [self.convertisseur localizedStringForKey:@"euro"];
    }
}

- (IBAction)hideKeyboard:(UITapGestureRecognizer *)sender {
    [self.euroField resignFirstResponder];
    [self.dollarField resignFirstResponder];
}

@end
