//
//  TerreViewController.m
//  Terre
//
//  Created by Jean-Pierre IMBERT on 17/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "TerreViewController.h"

@interface TerreViewController ()

@end

@implementation TerreViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    NSMutableArray *images = [[NSMutableArray alloc] init];
    for (int i=1;i<=44;i++) {
        UIImage *oneImage=[UIImage imageNamed:[NSString
                                               stringWithFormat:@"%d.png",i]];
        [images addObject:oneImage];
    }
    self.terre.animationImages = [NSArray arrayWithArray:images];
    [self.terre startAnimating];
    NSError *error;
    self.player = [[AVAudioPlayer alloc] initWithContentsOfURL:
              [NSURL fileURLWithPath:[[NSBundle mainBundle]
                                      pathForResource:@"ambiance"
                                      ofType:@"mp3"
                                      inDirectory:@"/"]] error:&error];
    self.player.numberOfLoops = -1;
    [self.player prepareToPlay];
    [self.player play];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
