//
//  PinchView.h
//  Pinch
//
//  Created by Jean-Pierre IMBERT on 20/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol PinchViewDelegate;

@interface PinchView : UIView

@property(weak,nonatomic) IBOutlet id<PinchViewDelegate> delegate;

@end

@protocol PinchViewDelegate
@required
- (void) pinchPerformed:(float) ratio;
@end
