//
//  CarteViewController.h
//  Carte
//
//  Created by Jean-Pierre IMBERT on 22/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

@interface CarteViewController : UIViewController <MKMapViewDelegate>

@property (weak, nonatomic) IBOutlet UILabel *latitudeLabel;
@property (weak, nonatomic) IBOutlet UILabel *longitudeLabel;
@property (weak, nonatomic) IBOutlet UILabel *hauteurLabel;
@property (weak, nonatomic) IBOutlet UILabel *largeurLabel;
@property (weak, nonatomic) IBOutlet MKMapView *carte;
@property (assign, nonatomic) MKCoordinateRegion zone;

- (IBAction)defineZone:(id)sender;
- (IBAction)retrieveZone:(id)sender;
- (IBAction)changeType:(UISegmentedControl *)sender;

@end
