//
//  AcceleroViewController.h
//  Accelero
//
//  Created by Jean-Pierre IMBERT on 22/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "VerticalView.h"

@interface AcceleroViewController : UIViewController <UIAccelerometerDelegate>

@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@property (weak,nonatomic) IBOutlet UILabel *xLabel;
@property (weak,nonatomic) IBOutlet UILabel *yLabel;
@property (weak,nonatomic) IBOutlet UILabel *zLabel;
@property (weak, nonatomic) IBOutlet VerticalView *vert;
@property (weak, nonatomic) IBOutlet UISegmentedControl *segControl;
@property (assign, nonatomic) NSInteger selectedItem;

- (IBAction)changeSensor:(UISegmentedControl *)sender;

@end
