//
//  KeyboardViewController.m
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 26/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "KeyboardViewController.h"

@interface KeyboardViewController ()

@end

@implementation KeyboardViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(BOOL) withBackspace {
    return !self.backspaceButton.hidden;
}

-(void) setWithBackspace:(BOOL) newStatus {
    self.backspaceButton.hidden = ! newStatus ;
}

-(BOOL) isHidden {
    return self.view.hidden;
}

-(void) setHidden:(BOOL)newStatus {
    self.view.hidden = newStatus;
}

-(void) enableAll {
    UIButton * subview;
    for (subview in self.view.subviews) {
        [subview setEnabled:YES];
    }
}

- (IBAction)keyStroke:(UIButton *)sender {
    if (self.delegate) {
        if (sender == self.backspaceButton) {
            [self.delegate backspaceStroked];
        } else {
            [self.delegate keyStroked:[(UIButton *)sender currentTitle]];
            if (self.autoDisable) {
                [(UIButton *)sender setEnabled:NO];
            }
        }
    }
}

@end
