//
//  PenduStateWaitingForPlayer.m
//  Pendu
//
//  Created by Jean-Pierre IMBERT on 26/02/13.
//  Copyright (c) 2013 SkwalSoft. All rights reserved.
//

#import "PenduStateWaitingForPlayer.h"
#import "PenduStateWaitingWord.h"
#import "PenduStateEnteringWord.h"

@implementation PenduStateWaitingForPlayer

+ (void) startGame: (BOOL) asServer {
	[super startGame:asServer];
    if (asServer) {
        [VIEW presentWaitingForWordToGuessScreen];
        SET_STATE (PenduStateWaitingWord);
    } else {
		[MODEL reInit];
        [VIEW presentWordEnteringScreen];
        SET_STATE (PenduStateEnteringWord);
    }
}

@end
